package cn.wisenergy.model.app;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 提币申请记录表
 * </p>
 *
 * @author chenqi
 * @since 2021-06-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("user_withdraws")
@ApiModel(value="UserWithdraws对象", description="提币申请记录表")
public class UserWithdraws implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "id",value = "提币申请表")
      @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(name = "withdrawsSn",value = "提币订单好编号")
    private String withdrawsSn;

    @ApiModelProperty(name = "userId",value = "用户id")
    private Integer userId;

    @ApiModelProperty(name = "currencyId",value = "币种id")
    private Integer currencyId;

    @ApiModelProperty(name = "name",value = "币名称")
    private String name;

    @ApiModelProperty(name = "type",value = "0 CNY 1 ERC20")
    private Integer type;

    @ApiModelProperty(name = "hash",value = "交易记录唯一值")
    private String hash;

    @ApiModelProperty(name = "from",value = "支付账号")
    private String from;

    @ApiModelProperty(name = "to",value = "收币账号")
    private String to;

    @ApiModelProperty(name = "bankName",value = "银行名称")
    private String bankName;

    @ApiModelProperty(name = "bankBranch",value = "开户支行")
    private String bankBranch;

    @ApiModelProperty(name = "bankRealName",value = "收款人姓名")
    private String bankRealName;

    @ApiModelProperty(name = "bankCard",value = "卡号")
    private String bankCard;

    @ApiModelProperty(name = "amount",value = "交易金额")
    private BigDecimal amount;

    @ApiModelProperty(name = "fee",value = "手续费")
    private BigDecimal fee;

    @ApiModelProperty(name = "actual",value = "实际支付金额")
    private BigDecimal actual;

    @ApiModelProperty(name = "status",value = "状态 0 待审核 1 已经打款 2 驳回申请 3 审核通过 4 提币处理中 5 提币异常 ")
    private Integer status;

    @ApiModelProperty(name = "userIp",value = "申请ip")
    private String userIp;

    @ApiModelProperty(name = "userAddr",value = "申请地址")
    private String userAddr;

    @ApiModelProperty(name = "userDevice",value = "设备")
    private String userDevice;

    @ApiModelProperty(name = "review",value = "审核时间")
    private String review;

    @ApiModelProperty(name = "reviewName",value = "审核人")
    private String reviewName;

    @ApiModelProperty(name = "reviewIp",value = "审核人ip")
    private String reviewIp;

    @ApiModelProperty(name = "reviewAddr",value = "审核人地址")
    private String reviewAddr;

    @ApiModelProperty(name = "receipt",value = "交易回执")
    private String receipt;

    @ApiModelProperty(name = "remark",value = "备注(一般是驳回理由")
    private String remark;

    private Date createdAt;

    private Date updatedAt;


}
