package cn.wisenergy.service.app.impl;

import cn.wisenergy.common.utils.R;
import cn.wisenergy.mapper.UserDataMapper;
import cn.wisenergy.mapper.UsersMapper;
import cn.wisenergy.model.app.UserData;
import cn.wisenergy.model.dto.UsersInfoDto;
import cn.wisenergy.model.vo.UserQueryVo;
import cn.wisenergy.service.app.BottomService;
import lombok.extern.slf4j.Slf4j;
import org.apache.shiro.util.CollectionUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author 86187
 */
@Service
@Slf4j
public class BottomServiceImpl implements BottomService {
    @Resource
    private UsersMapper usersMapper;

    @Resource
    private UserDataMapper userDataMapper;


    @Override
    public R<Boolean> getBottom(UserQueryVo queryVo) {
        Long usersId = userDataMapper.getBottomMaxId();
        log.info("开始计算用户id:" + usersId);
        if (null == usersId) {
            usersId = 0L;
        }
        Integer startNo = Math.toIntExact(usersId) - 1;
        Integer endNo = startNo + queryVo.getNumber();
        //获取所有用户数据
        List<UserData> list = userDataMapper.getBottom(startNo, endNo);
        if (!CollectionUtils.isEmpty(list)) {
            for (UserData userData : list) {
                //3、向下最深层级层级数、伞下人员总和
                UsersInfoDto userInfoDto = usersMapper.getLevelAndTotal(userData.getUserId());
                if (null != userInfoDto) {
                    if (null != userInfoDto.getBottom()) {
                        userData.setBottom(userInfoDto.getBottom() - userData.getRank());
                    }
                    userData.setTotalPeople(userInfoDto.getTotalPeople());
                }

                int count = userDataMapper.edit(userData);
                if (count == 0) {
                    break;
                }
            }

        }
        return R.ok(0, true);
    }
}
