package cn.wisenergy.web.admin.controller.app;


import cn.wisenergy.common.utils.R;
import cn.wisenergy.model.vo.UserQueryVo;
import cn.wisenergy.service.app.BottomService;
import cn.wisenergy.web.common.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author 86187
 */
@Api(tags = "用户向下层级管理")
@RestController
@Slf4j
public class BottomController extends BaseController {
    @Resource
    private BottomService bottomService;

    @ApiOperation(value = "向下最深层级层级数、伞下人员总和", notes = "向下最深层级层级数、伞下人员总和", httpMethod = "POST")
    @ApiImplicitParam(name = "queryVo", value = "每次统计条数", dataType = "UserQueryVo")
    @PostMapping(value = "/user/updateBatchUserData")
    public R<Boolean> updateBatchUserData(@RequestBody UserQueryVo queryVo) {
        return bottomService.getBottom(queryVo);
    }
}
